EDIT - feature request #7413

Make in-Authors editable in TaxEditor for zoological and fungi names
05/14/2018 03:36 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.42

Severity: normal

Description

This includes inCombinationAuthor and inBasionymAuthor (but call the later "original name author" or so, as basionym does not exist
in zoology)

Related issues:

Related to EDIT - feature request #7443: Implement in-authors in name parser ... Closed
Related to EDIT - task #10432: Cora import Resolved
Follows EDIT - feature request #6943: Allow zoological in-Authors in taxon names Closed

Associated revisions

Revision f03c45bf - 12/04/2023 01:34 PM - Katja Luther

ref #7413: add in authors to name details view

Revision d8bb99c2 - 12/04/2023 01:43 PM - Katja Luther
ref #7413: add in-author to INonViralName

Revision 820a6f59 - 01/16/2024 01:02 PM - Katja Luther

ref #7413: inAuthors should be shown only for fungus or zoological names

Revision e89509b5 - 01/16/2024 02:18 PM - Katja Luther

ref #7413: inAuthors only for fungus or zoological names - continue

Revision d9d713f7 - 01/16/2024 03:01 PM - Katja Luther

ref #7413: fix if no nameDetails conf exists

Revision e36a472a - 01/16/2024 03:50 PM - Katja Luther

ref #7413: fix if no nameDetails conf exists - continue

Revision a851ae99 - 01/16/2024 04:32 PM - Katja Luther

ref #7413: add selection listener

Revision d554c0f8 - 01/17/2024 01:03 PM - Katja Luther

ref #7413: move in-author methods to INonViralName

Revision 10cf7ce4 - 01/17/2024 01:20 PM - Andreas Miiller

ref #7413 fully move in-authors to INonViralName

Revision 96b38605 - 01/18/2024 11:37 AM - Katja Luther

ref #7413: handle BasionymInAuthor correctly

Revision 2b139d09 - 01/18/2024 11:42 AM - Katja Luther

ref #7413: handle BasionymInAuthor correctly -continue

History
#1 - 05/14/2018 03:36 PM - Andreas Miiller
- Due date set to 09/14/2017
- Start date changed from 05/14/2018 to 09/14/2017

- Follows feature request #6943: Allow zoological in-Authors in taxon names added

#2 - 05/17/2018 02:23 PM - Andreas Miiller

- Target version changed from Release 5.0 to Release 5.1

#3 - 05/30/2018 07:47 AM - Andreas Miiller

- Related to feature request #7443: Implement in-authors in name parser and formatter for zoological and fungi names added

#4 - 06/28/2018 12:08 AM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#5 - 08/17/2018 03:52 PM - Andreas Miuller

- Target version changed from Release 5.2 to Release 5.3

#6 - 09/06/2018 08:54 PM - Katja Luther

- Target version changed from Release 5.3 to Release 5.4

#7 - 09/06/2018 11:34 PM - Andreas Miiller
- Due date deleted (09/14/2017)
- Priority changed from New to Highest

#8 - 10/23/2018 10:41 AM - Andreas Miiller

- Target version changed from Release 5.4 to Release 5.5

#9 - 02/19/2019 02:44 PM - Andreas Miuller

- Target version changed from Release 5.5 to Release 5.6

#10 - 02/19/2019 03:13 PM - Andreas Miiller

- Target version changed from Release 5.6 to Reviewed Next Major Release

#11 - 12/01/2023 12:52 PM - Andreas Miiller
- Subject changed from Make zoological inAuthors editable in TaxEditor to Make in-Authors editable in TaxEditor for zoological and fungi names

- Target version changed from Reviewed Next Major Release to Release 5.42

#12 - 12/01/2023 12:52 PM - Andreas Miiller
- Related to task #10432: Cora import added

#13 - 12/04/2023 01:36 PM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

The text fields are added to the name details view and | also added it to the name details view preference because most of the users will not need the
in-authors.

Please review.

#14 - 12/18/2023 02:32 PM - Andreas Miiller
- % Done changed from 0 to 60

In a next step we will discuss with users if this is really only relevant for fungi and animals.

#15 - 01/16/2024 10:55 AM - Andreas Miiller

- Status changed from Resolved to Feedback
- Assignee changed from Andreas Mtiller to Katja Luther
in-Authors can be edited now, but are not saved to the DB.

#16 - 01/16/2024 11:02 AM - Andreas Miiller

in-authors are shown independent of the preference and of the nom. code now. For now it should be shown only if nom. code is Fungus or ICZ.

#17 - 01/16/2024 12:53 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

If the preference is set then you have to reload the details view. The saving should be fixed for InCombinationAuthor, but there is a method
setInBasionymAuthorship missing!
Should | add it or do you add it?

#18 - 01/16/2024 01:30 PM - Andreas Miiller

Katja Luther wrote in #note-17:

If the preference is set then you have to reload the details view. The saving should be fixed for InNCombinationAuthor, but there is a method
setinBasionymAuthorship missing!
Should | add it or do you add it?

The method is already there. Line 1020.

#19 - 01/16/2024 01:37 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to Katja Luther

#20 - 01/16/2024 01:47 PM - Andreas Miiller
- File clipboard-202401161347-gxtsf.png added

Katja Luther wrote in #note-17:

If the preference is set then you have to reload the details view. The saving should be fixed for InCombinationAuthor, but there is a method
setinBasionymAuthorship missing!
Should | add it or do you add it?

Reloading does not help. Even restarting the TaxEditor and opening a completely different taxon shows all the authors including in-authors, though
the preferences was deselected an the taxon had the nom. code ICNAFP.
#21 - 01/17/2024 11:59 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller
This should be fixed with the last commits. Please review.

#22 - 01/17/2024 12:33 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther
The basionym in-author is still not saved or handled (you did not find the method but it exists).

#23 - 01/17/2024 12:36 PM - Andreas Miiller

How far is the preference used at all. To me it seems that it has no effect. If so we should remove it.

#24 - 01/17/2024 01:02 PM - Katja Luther

Andreas Muller wrote in #note-22:

The basionym in-author is still not saved or handled (you did not find the method but it exists).

I moved all "inAuthor-methods" to INonViralName because also Fungus names can have in-authors

#25 - 01/17/2024 01:07 PM - Katja Luther
Andreas Miiller wrote in #note-23:
How far is the preference used at all. To me it seems that it has no effect. If so we should remove it.

It is checked which NC the name belongs to and whether the preference is set, if the preference is set and the NC is zoological or fungus, the
in-author fields are shown.

#26 - 01/17/2024 01:21 PM - Andreas Miiller

Katja Luther wrote in #note-25:
Andreas Muller wrote in #note-23:

How far is the preference used at all. To me it seems that it has no effect. If so we should remove it.

It is checked which NC the name belongs to and whether the preference is set, if the preference is set and the NC is zoological or fungus, the
in-author fields are shown.

No, it is also shown, if NC is fungus/zoo and the preference is not set. Therefore | asked.

#27 - 01/17/2024 03:00 PM - Andreas Miiller

Andreas Mller wrote in #note-26:
Katja Luther wrote in #note-25:
Andreas Muller wrote in #note-23:

How far is the preference used at all. To me it seems that it has no effect. If so we should remove it.

It is checked which NC the name belongs to and whether the preference is set, if the preference is set and the NC is zoological or fungus,
the in-author fields are shown.

No, it is also shown, if NC is fungus/zoo and the preference is not set. Therefore | asked.

Works now.

#28 - 01/17/2024 03:00 PM - Andreas Miiller
Andreas Muller wrote in #note-22:

The basionym in-author is still not saved or handled (you did not find the method but it exists).

This still seems to be open.

#29 - 01/19/2024 11:58 AM - Katja Luther
- Status changed from Feedback to Resolved
- Assignee changed from Katja Luther to Andreas Miiller

Andreas Muller wrote in #note-28:

Andreas Muller wrote in #note-22:

The basionym in-author is still not saved or handled (you did not find the method but it exists).

This still seems to be open.

Now it is fixed.

#30 - 01/19/2024 07:42 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 60 to 100

works as expected now

#31 - 01/19/2024 07:43 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to Katja Luther

Files
clipboard-202401161347-gxtsf.png 23.9 KB 01/16/2024 Andreas Miller
